Namespace
library
Image / Tag
consul:1.13.5
Content Digest
sha256:4502b662b0712501be6d55a2426bd64a409831bb89a0f1e5cf459b6df253bf95
Details
Created

2022-12-15 01:44:04 UTC

Size

48.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f8c6eeaa55b0f135b7fddb3d7745a98ca4d8f06d2898611234b9ef99e1183073 - 5.55% (2.7 MB)

[#001] sha256:60639e012c97902d61edd8985f873b3c420a57893460cb4ce7f9c694e76ef605 - 0.0% (1.21 KB)

[#002] sha256:90d861eff714a00e9b82a7157278b5a902935ca5753e684ac6d3650c7cbb19f6 - 94.45% (45.9 MB)

[#003] sha256:ea252605582516366fc0d15982c0263128d84368ee687c8d7e2225a8efa202af - 0.0% (143 Bytes)

[#004] sha256:b5eaa18599f33285d5e08ce27d0a89af9cfc8e6a1c1ec693a7fb7e5cef085bd9 - 0.0% (154 Bytes)

[#005] sha256:631c55398f3f9e98e99302c8919526d0be06005da9ae2bcf0318cfedd56d8bb6 - 0.0% (1.75 KB)


History
2022-08-09 17:38:47 UTC

/bin/sh -c #(nop) ADD file:d51bb92de86c49ee5486066d12194be78c8b9a8452c44577e2dfeef1945a0138 in /

2022-08-09 17:38:47 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-12-15 01:43:45 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.5

2022-12-15 01:43:46 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-12-15 01:43:47 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-12-15 01:43:48 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-12-15 01:43:55 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-12-15 01:43:56 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-12-15 01:43:57 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-12-15 01:43:58 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-12-15 01:43:59 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-12-15 01:44:00 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-12-15 01:44:01 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-12-15 01:44:03 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-12-15 01:44:03 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-12-15 01:44:04 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-12-15 01:22:30 UTC

Size

49.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9621f1afde84053b2f9b6ff34fc7f7460712247c01cbab483c5fa7132cf782ca - 5.42% (2.69 MB)

[#001] sha256:6ade2bcc6ac94a1371c0767f7f965e35f3486a8cbca22eae0ad3f3bb214fe418 - 0.0% (1.24 KB)

[#002] sha256:34f6e7c5356741c691b1d2687960677e34bc2fbd58fbeb3c86796045b3c9cb2d - 94.58% (47 MB)

[#003] sha256:be1350680ffa49437b82c3af83420ed5958b03be416d5ddb38b0c3e97ce75f7b - 0.0% (176 Bytes)

[#004] sha256:6a58e91f4def955f80d49ca29eb78ee73b2355337ba8d0e0913eda63af38c0b4 - 0.0% (153 Bytes)

[#005] sha256:ee102ca9206bf7e9657c0cad5f971d852235d381e97f6fe20cd3c9b73f5e7be5 - 0.0% (1.75 KB)


History
2022-08-09 17:20:00 UTC

/bin/sh -c #(nop) ADD file:f77e3f51f020890d22997e6c2ca98968b75b8bc8c463341a2010ff0655d4c88f in /

2022-08-09 17:20:01 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-12-15 01:22:22 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.5

2022-12-15 01:22:22 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-12-15 01:22:22 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-12-15 01:22:22 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-12-15 01:22:28 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-12-15 01:22:29 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-12-15 01:22:29 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-12-15 01:22:29 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-12-15 01:22:30 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-12-15 01:22:30 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-12-15 01:22:30 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-12-15 01:22:30 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-12-15 01:22:30 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-12-15 01:22:30 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-12-15 00:55:58 UTC

Size

47.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:293b708aa6fb80967f27727d5c9c53ac9ba9cac376bed2ad02c17a5cca317b35 - 5.27% (2.51 MB)

[#001] sha256:d630172a291aa1cf0033366cf82e58b45f6b9b67c13be6d54991a0ec0d98f30b - 0.0% (1.21 KB)

[#002] sha256:30805dad966f458c24f31d0b9ad4b43dc8100e5be0370d3cf3dda7304222d21f - 94.72% (45.1 MB)

[#003] sha256:a19184601431f99d7a766ea554ba87db949f798cb3b8a81b0e2bb7a3276a3d35 - 0.0% (143 Bytes)

[#004] sha256:c08b502ad37deaae0d9eace52c091a09268af96ee090a71985da1e938b0cdfb5 - 0.0% (154 Bytes)

[#005] sha256:3d4cff7f1efbb00f38a38f67c9cc907e76baa1285bea449ee56e30ffade691ef - 0.0% (1.75 KB)


History
2022-11-10 20:49:36 UTC

/bin/sh -c #(nop) ADD file:89cb25f97e17bed5c56311280efe5cfa78422d8ffbe36232195d13f94d67417e in /

2022-11-10 20:49:36 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-12-15 00:55:47 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.5

2022-12-15 00:55:47 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-12-15 00:55:48 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-12-15 00:55:48 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-12-15 00:55:56 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-12-15 00:55:57 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-12-15 00:55:58 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-12-15 00:55:58 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-12-15 00:55:58 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-12-15 00:55:58 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-12-15 00:55:58 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-12-15 00:55:58 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-12-15 00:55:58 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-12-15 00:55:58 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-12-15 01:42:43 UTC

Size

47.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:47517142f6ba87eca6b7bdca1e0df160b74671c81e4b9605dad38c1862a43be3 - 5.51% (2.59 MB)

[#001] sha256:075a6ad3110379fe2319b556e4ff90a151f2456e9f10032df3551a01b613a40a - 0.0% (1.24 KB)

[#002] sha256:7b7a4aa51031a1c23d9565b94bd02215bf3455f612ee41cd46d0c9c29ca0a24f - 94.49% (44.5 MB)

[#003] sha256:484a416d85755074f936bcd63a171966d046ac565adcf2ddbc5254066dc68e49 - 0.0% (176 Bytes)

[#004] sha256:364a6933f960cbc75be72d7816673a2b65ddef3a53c01bc70c74368a5a5521b6 - 0.0% (154 Bytes)

[#005] sha256:9dd5eed0cb8a54a97f76785f299f653577513aa7058962cce684dc1bf884b543 - 0.0% (1.74 KB)


History
2022-11-10 20:39:46 UTC

/bin/sh -c #(nop) ADD file:4b51a9d40f20d2beb29d0759b161d2b9403493453beb509de4e86a5d98513f16 in /

2022-11-10 20:39:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-12-15 01:42:36 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.5

2022-12-15 01:42:36 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-12-15 01:42:36 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-12-15 01:42:36 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-12-15 01:42:42 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-12-15 01:42:42 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-12-15 01:42:43 UTC

|1 CONSUL_VERSION=1.13.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-12-15 01:42:43 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-12-15 01:42:43 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-12-15 01:42:43 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-12-15 01:42:43 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-12-15 01:42:43 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-12-15 01:42:43 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-12-15 01:42:43 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]